/*
 * Avatar/0 graphics decoder
 *
 * Copyright (C) 2006, 2010, 2019  Magnus Bergman
 *
 * Author: Magnus Bergman <fabel@users.sourceforge.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef avatar0_dec_h
#define avatar0_dec_h

#include <stdlib.h>                     /* free() */
#include "term_if.h"

typedef struct _Avatar0Decoder Avatar0Decoder;

Avatar0Decoder* avatar0_decoder_new(const TerminalInterface*,Terminal*);
#define avatar0_decoder_free(dec) free(dec)
int avatar0_decoder_write(Avatar0Decoder*,char);

#endif /* avatar0_dec_h */
