#ifndef doc_with_user_data_h
#define doc_with_user_data_h

#include "user_data.h"

namespace doc{
    class WithUserData{
    private:
        UserData _user_data;
    public:
        virtual ~WithUserData(){}
        const UserData &userData() const { return _user_data; }
        void setUserData(const UserData &ud) { _user_data = ud; }
    };
}

#endif /* doc_with_user_data_h */
