/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef loa_draw_h
#define loa_draw_h

typedef struct _loa_draw_handle_t loa_draw_handle_t;

typedef struct{
    void(*move)(loa_draw_handle_t*, double x, double y);
    void(*line)(loa_draw_handle_t*, double x, double y);
    void(*stroke)(loa_draw_handle_t*);
}loa_draw_interface_t;

#endif /* loa_draw_h */
